Bug 218571 - FAQ: is it possible to upgrade to an x86_64 install starting from an i386 install ?
FAQ: is it possible to upgrade to an x86_64 install starting from an i386 ins...
Status: CLOSED NOTABUG
Product: Fedora Documentation
Classification: Fedora
Component: install-guide (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Paul W. Frields
:
Depends On: 222424
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-05 22:53 EST by Răzvan Sandu
Modified: 2007-07-12 14:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 14:31:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda-ks.cfg after i386 installation (1.64 KB, application/octet-stream)
2007-01-12 04:52 EST, Răzvan Sandu
no flags Details
install.log after i386 installation (69.69 KB, text/plain)
2007-01-12 04:53 EST, Răzvan Sandu
no flags Details
install.log.syslog after i386 installation (7.65 KB, application/octet-stream)
2007-01-12 04:54 EST, Răzvan Sandu
no flags Details
/var/log/anaconda.log after i386 installation (269.48 KB, text/plain)
2007-01-12 04:55 EST, Răzvan Sandu
no flags Details
/var/log/anaconda.syslog after i386 installation (21.10 KB, application/octet-stream)
2007-01-12 04:56 EST, Răzvan Sandu
no flags Details
/var/log/anaconda.xlog after i386 installation (38.67 KB, application/octet-stream)
2007-01-12 04:57 EST, Răzvan Sandu
no flags Details
/var/log/boot.log after i386 installation (90 bytes, text/plain)
2007-01-12 04:59 EST, Răzvan Sandu
no flags Details
/var/log/dmesg after i386 installation (16.85 KB, application/octet-stream)
2007-01-12 05:01 EST, Răzvan Sandu
no flags Details
/var/log/messages after i386 installation (57.59 KB, application/octet-stream)
2007-01-12 05:02 EST, Răzvan Sandu
no flags Details
/var/log/rpmpkgs after i386 installation (52.15 KB, application/octet-stream)
2007-01-12 05:04 EST, Răzvan Sandu
no flags Details
/root/install.log after unsuccesful upgrade (7.65 KB, text/plain)
2007-01-17 06:05 EST, Răzvan Sandu
no flags Details
/root/upgrade.log after unsuccesful upgrade (4.22 KB, text/plain)
2007-01-17 06:08 EST, Răzvan Sandu
no flags Details
/var/log/anaconda.log after unsuccesful upgrade (30.04 KB, text/plain)
2007-01-17 06:09 EST, Răzvan Sandu
no flags Details
/var/log/anaconda.syslog ater unsuccesful upgrade (20.57 KB, application/octet-stream)
2007-01-17 06:10 EST, Răzvan Sandu
no flags Details
/var/log/anaconda.xlog after unsucessful upgrade (38.74 KB, application/octet-stream)
2007-01-17 06:11 EST, Răzvan Sandu
no flags Details
/var/log/boot.log after unsuccesful upgrade (176 bytes, text/plain)
2007-01-17 06:12 EST, Răzvan Sandu
no flags Details
/var/log/dmesg after unsuccesful upgrade (16.85 KB, application/octet-stream)
2007-01-17 06:13 EST, Răzvan Sandu
no flags Details
/var/log/messages after unsuccesful upgrade (38.48 KB, application/octet-stream)
2007-01-17 06:13 EST, Răzvan Sandu
no flags Details

  None (edit)
Description Răzvan Sandu 2006-12-05 22:53:34 EST
Description of problem:

Hello,

IMHO, the following question worths a FAQ or an explicit paragraph in RedHat's
Install Guide:


Please consider an x86_64 machine (hardware) with a fresh install of Fedora on
it - the i386 version of Fedora.

Is it technically possible to obtain a fully functional x86_64 installation of
Fedora by *upgrading* the software, using the x86_64 installation CDs or DVD
(i.e. without completely wipping and reinstalling the OS) ?

Is such an upgraded installation reliable and clean (i.e., if possible, is this
procedure discouraged) ?

More of it: if possible in the first place, could such an upgrade be performed
by yum also (i.e. starting from a fresh install of i386 to upgrade online to a
x86_64 version, just by changing the appropriate repositories in yum's
configuration)?


Regards,
Razvan


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Paul W. Frields 2006-12-15 10:14:01 EST
I don't have an x86_64 machine to try this on.  Could you please perform the
experiment and document your results for me?  I could then add this material to
the IG.
Comment 2 Răzvan Sandu 2007-01-12 04:50:22 EST
Hello,

Here is the experiment:

I just performed a full, clean install of Fedora Core 6, i386 version, on a
64-bit  architecture (PC -  Asus P5LD2 SE motherboard, 1 GB RAM, 80 GB HDD).
Installation went with no problem.

For full documenting, here is the first part of the experiment: attached are the
installation logs of the i386 full install.


I tried to be as precise as possible:

- I installed all packages in the distro (put all marks when selecting
packages), in order to see if some package generates errors.

- I did no online updates after installation, to compare logs easily after i386
installation and after x86_64 upgrade.


I will come back with the second part: the x86_64 upgrade.


Regards,
Razvan
Comment 3 Răzvan Sandu 2007-01-12 04:52:21 EST
Created attachment 145439 [details]
anaconda-ks.cfg after i386 installation
Comment 4 Răzvan Sandu 2007-01-12 04:53:07 EST
Created attachment 145440 [details]
install.log after i386 installation
Comment 5 Răzvan Sandu 2007-01-12 04:54:11 EST
Created attachment 145441 [details]
install.log.syslog after i386 installation
Comment 6 Răzvan Sandu 2007-01-12 04:55:25 EST
Created attachment 145442 [details]
/var/log/anaconda.log after i386 installation
Comment 7 Răzvan Sandu 2007-01-12 04:56:47 EST
Created attachment 145443 [details]
/var/log/anaconda.syslog after i386 installation
Comment 8 Răzvan Sandu 2007-01-12 04:57:48 EST
Created attachment 145444 [details]
/var/log/anaconda.xlog after i386 installation
Comment 9 Răzvan Sandu 2007-01-12 04:59:56 EST
Created attachment 145445 [details]
/var/log/boot.log after i386 installation
Comment 10 Răzvan Sandu 2007-01-12 05:01:34 EST
Created attachment 145446 [details]
/var/log/dmesg after i386 installation
Comment 11 Răzvan Sandu 2007-01-12 05:02:48 EST
Created attachment 145447 [details]
/var/log/messages after i386 installation
Comment 12 Răzvan Sandu 2007-01-12 05:04:21 EST
Created attachment 145448 [details]
/var/log/rpmpkgs after i386 installation
Comment 13 Răzvan Sandu 2007-01-12 06:02:31 EST
Hello,

Here is the second part of the experiment: the upgrade from i386 software to
x86_64. It DOESN'T work !

The upgrade took very little time. Apparently, only x86_64 packages were
"upgraded" / installed.

After reboot:

1. on tke "normal" kernel I got a kernel panic. It says:

Red Hat nash version 5.1.19 starting
insmod: can't read '/lib/uhci-hcd.ko': No such file or directory

and the same for ohci-hcd.ko, ehci-hcd.ko, jbd.ko, ext3.ko, scsi_mod.ko,
sd_mod.ko, libata.ko, ata_piix.ko

Obviously, I get a kernel panic (my S-ATA HDD can't be seen).

2. on the kernel-xen I got a few messages of:

Red Hat nash version 5.1.19 starting
request_module:runaway loop modprobe binfmt_464c

and then the machine became unresponsive.

So I used the CD, went into rescue mode and copied the same logs on a floppy.
For documenting, here they are, *after* the upgrade. I hope they are interesting
for a more knowledgeable user.  ;-)



Regards,
Razvan

Comment 14 Răzvan Sandu 2007-01-17 06:05:59 EST
Created attachment 145781 [details]
/root/install.log after unsuccesful upgrade
Comment 15 Răzvan Sandu 2007-01-17 06:08:23 EST
Created attachment 145782 [details]
/root/upgrade.log after unsuccesful upgrade
Comment 16 Răzvan Sandu 2007-01-17 06:09:27 EST
Created attachment 145783 [details]
/var/log/anaconda.log after unsuccesful upgrade
Comment 17 Răzvan Sandu 2007-01-17 06:10:25 EST
Created attachment 145784 [details]
/var/log/anaconda.syslog ater unsuccesful upgrade
Comment 18 Răzvan Sandu 2007-01-17 06:11:20 EST
Created attachment 145785 [details]
/var/log/anaconda.xlog after unsucessful upgrade
Comment 19 Răzvan Sandu 2007-01-17 06:12:25 EST
Created attachment 145786 [details]
/var/log/boot.log after unsuccesful upgrade
Comment 20 Răzvan Sandu 2007-01-17 06:13:13 EST
Created attachment 145787 [details]
/var/log/dmesg after unsuccesful upgrade
Comment 21 Răzvan Sandu 2007-01-17 06:13:49 EST
Created attachment 145788 [details]
/var/log/messages after unsuccesful upgrade

Note You need to log in before you can comment on or make changes to this bug.